프로젝트
GET https://qrcodemonkey.net/api/projects/
curl --request GET \
--url 'https://qrcodemonkey.net/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/projects/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부 정보 | 설명 |
|---|---|---|
| search | 선택 사항 문자열 | 검색 문자열 |
| search_by | 선택 사항 문자열 | 무슨 필드로 검색하시겠습니까. 허용된 값은: name입니다. |
| order_by | 선택 사항 문자열 | 결과를 어떤 필드로 정렬할까요. 허용된 값은 다음과 같습니다: project_id , datetime , last_datetime , name |
| order_type | 선택 사항 문자열 | 결과의 순서. 허용된 값은: ASC는 오름차순 정렬, DESC는 내림차순 정렬입니다. |
| page | 선택 사항 정수 | 당신이 원하는 페이지 번호에서 결과를 얻습니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 한 페이지당 원하는 결과 수를 입력하세요. 허용된 값은: 10 , 25 , 50 , 100 , 250 , 500 , 1000입니다. 기본값은 25입니다. |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-03-31 23:40:30",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcodemonkey.net/api/projects?page=1",
"last": "https://qrcodemonkey.net/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://qrcodemonkey.net/api/projects?page=1"
}
}
GET https://qrcodemonkey.net/api/projects/{project_id}
curl --request GET \
--url 'https://qrcodemonkey.net/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-03-31 23:40:30",
}
}
POST https://qrcodemonkey.net/api/projects
| 매개변수 | 세부 정보 | 설명 |
|---|---|---|
| name | 필수 문자열 | - |
| color | 선택 사항 문자열 | - |
curl --request POST \
--url 'https://qrcodemonkey.net/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
--url 'https://qrcodemonkey.net/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#ffffff' \
{
"data": {
"id": 1
}
}
POST https://qrcodemonkey.net/api/projects/{project_id}
| 매개변수 | 세부 정보 | 설명 |
|---|---|---|
| name | 선택 사항 문자열 | - |
| color | 선택 사항 문자열 | - |
curl --request POST \
--url 'https://qrcodemonkey.net/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
--url 'https://qrcodemonkey.net/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'color=#000000' \
{
"data": {
"id": 1
}
}
DELETE https://qrcodemonkey.net/api/projects/{project_id}
curl --request DELETE \
--url 'https://qrcodemonkey.net/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/projects/{project_id}' \
--header 'Authorization: Bearer {api_key}' \